# List all payments

**GET** `/loans/payments`

List all payments under the platform. Filtered results can be retrieved with extra parameters in the query.

### Query Parameters

- `bank_account_id` `string` — Filter loan payments by bank account ID.
- `created.gt` `date-time` — Return results where the `created_at` field is greater than this value.
- `created.gte` `date-time` — Return results where the `created_at` field is greater than or equal to this value.
- `created.lt` `date-time` — Return results where the `created_at` field is less than this value.
- `created.lte` `date-time` — Return results where the `created_at` field is less than or equal to this value.
- `ending_before` `string` — A cursor for use in pagination. `ending_before` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, starting with `foo_ZXhhbXBsZQo`, your subsequent call can include `ending_before=foo_ZXhhbXBsZQo` in order to fetch the previous page of the list.
- `limit` `integer` — A limit on the number of objects to be returned, between `1` and `100`. The default is `10`.
- `loan_id` `string` — Filter loan payments by loan ID.
- `starting_after` `string` — A cursor for use in pagination. `starting_after` is an ID that defines your place in the list. For instance, if you make a list request and receive 20 objects, ending with `foo_ZXhhbXBsZQo`, your subsequent call can include `starting_after=foo_ZXhhbXBsZQo` in order to fetch the next page of the list.

**Request**

```shell
curl 'https://api.column.com/loans/payments?loan_id=<loan_id>' \
  -u :<YOUR API KEY>
```

**Response 200**

```json
{
  "has_more": false,
  "payments": [
    {
      "account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
      "amount": 200,
      "bank_account_id": "bacc_2zI1DavEbJQbbOIJeExDVJczhqM",
      "collection_account_number_id": "",
      "collection_bank_account_id": "",
      "created_at": "2025-08-03T16:28:29Z",
      "currency": "USD",
      "description": "first payment",
      "effective_at": "2025-08-03T16:28:29Z",
      "id": "lpmt_30mhA1SpuvC6OJlc8XPBCKSNcC1",
      "idempotency_key": "",
      "interest_amount": "0",
      "is_offline": false,
      "loan_id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
      "principal_amount": "200",
      "retained_interest_amount": "0",
      "retained_principal_amount": "200",
      "status": "completed",
      "ignore_retained_balances": false
    },
    {
      "account_number_id": "acno_2zI1Da9Ro0dvk6HT2gla1H0UTyS",
      "amount": 1000,
      "bank_account_id": "bacc_2zI1DavEbJQbbOIJeExDVJczhqM",
      "collection_account_number_id": "",
      "collection_bank_account_id": "",
      "created_at": "2025-08-03T16:25:20Z",
      "currency": "USD",
      "description": "first payment",
      "effective_at": "2025-08-03T16:25:20Z",
      "id": "lpmt_30mgmQvaN3DPwVPfS3mUPMeCtGZ",
      "idempotency_key": "",
      "interest_amount": "0",
      "is_offline": false,
      "loan_id": "loan_30mcttnSZBlSahXy6LUFzbeemlk",
      "principal_amount": "1000",
      "retained_interest_amount": "0",
      "retained_principal_amount": "1000",
      "status": "completed",
      "ignore_retained_balances": false
    }
  ]
}
```
